Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# scene_item Class Reference

Base class for items in a scene. More...

`#include <scene.h>`

Inheritance diagram for scene_item:
[legend]

List of all members.

## Public Member Functions
| scene_item ()
| The name of the item.
void | set_name (string nam)
| Set the name.
string | get_name () const
| Get the name.
void | set_scene (scene *sc)
| Set the scene that the item is part of.
scene * | get_scene ()
| Get the scene that the item is part of.
## Protected Attributes
string | name
| The scene the item is part of.

## Detailed Description

Base class for items in a scene.

## Constructor & Destructor Documentation

scene_item::scene_item | ( |  | ) | `[inline]`

The name of the item.

Constructor

## Member Function Documentation

string scene_item::get_name | ( |  | ) | const`[inline]`

Get the name.

Returns:
  The name of the item.

scene* scene_item::get_scene | ( |  | ) | `[inline]`

Get the scene that the item is part of.

Returns:
  The scene the item is part of.

void scene_item::set_name | ( | string | nam | ) | `[inline]`

Set the name.

Parameters:

  nam | the name of the item.

void scene_item::set_scene | ( | scene * | sc | ) | `[inline]`

Set the scene that the item is part of.

Parameters:

  sc | the scene the item is part of.

The documentation for this class was generated from the following file:

- base/scene.h